Developers

List Orders

GET
/billing/orders

The caller’s Orders, newest first.

Authorization

headerAuthorizationBearer <token>

An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100

Response Body

Success.

application/json
  1. response
items*array<>
next_cursor*string|null
Example request
curl -X GET 'https://ximagesplitter.com/api/v1/billing/orders'
Example response
{
  "items": [
    {
      "orderNo": "string",
      "status": "canceled",
      "purchaseKind": "plan",
      "offerId": "string",
      "packCredits": -9007199254740991,
      "amount": -9007199254740991,
      "currency": "string",
      "providerCode": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}